Bug#432350: Packaging eclipse 3.4.1 for debian/ubuntu

Andreas Tille tillea at rki.de
Wed Dec 10 12:33:46 UTC 2008

On Wed, 10 Dec 2008, Pantelis Koukousoulas wrote:

> I 'm interested to (help) package eclipse 3.4.1 for debian / ubuntu.


> This is quite a big task so I 'd like as much help as I can get
> if this is to succeed. The plan is to start by copying as much as
> possible from what Fedora and Gentoo have already done
> plus whatever debian/ubuntu work is already there and improving upon those.
> Would you be willing to help?

I have to admit that I'm very frustrated about the responsibility of the
maintainer, namely the Debian Java Team to bug #432350 and the failure to
even send a single response to the bug report.  The consequence that I
have to draw from this fact is that this team either does not have a single
member which is working on Eclipse at all.

If this assumtion is true - I hope at least this can be confirmed by any
member of the team, if not I have to assume that there is no such team at
all - I think we should add more staff to the team.  So my first action
now was to subscribe to the list.  I never felt competent to do so in the
past because ma Java knowledge is basically zero - but as I said, I have
some packaging experience and if there are some testers I might be helpful.

I also asked to add myself to the alioth project to be able to commit to
the development svn.

I would advise anybody who really intends to be helpful to follow these
two steps.

For the concrete packaging I would at first suggest to clean up the source
packaging.  Currently the source tarball contains three zip archives from
completely separate upstream projects.  IMHO this is no optimal packaging
strategy and I would start by packaging icu4j and jsch separately and
once this is done create a proper get-upstream-source target for debian/rules
to enable newcomers to drop in by providing a defined state of work.

In case there is some reason to merge separate upstream projects in one
source tarball which might have been introduced by Michael Koch (icu4) and
Vladimir Lapacek (jsch) I would like to hear these reasons and whether they
are valid until today (=with the new Eclipse version).

Kind regards



More information about the pkg-java-maintainers mailing list